> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get service group by ID

GET https://example.itential.io/gateway_manager/v1/service-groups/{id}

Returns information about a specific service group by its ID.

Reference: https://docs.itential.com/itential-platform/6/api-reference/gateway-manager/get-service-group-by-id

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `id` (string, required) — The Id of the service group to retrieve

## Response

### 200

Information about a specific service group

- `state` (string, optional)
- `result` (object, optional)
  - `_id` (string, optional) — The Id of the service group within the database
  - `name` (string, optional)
  - `cluster_id` (string, optional)
  - `is_default` (boolean, optional)
  - `description` (string, optional)
  - `created` (string, optional)
  - `created_by` (string, optional)
  - `last_updated` (string, optional)
  - `last_updated_by` (string, optional)
  - `groups` (list of string, optional)
  - `services` (list of object, optional)
    - `id` (string, optional)
    - `name` (string, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "state": "Success",
  "result": {
    "_id": "66ff56eb64d3de9f6f930916",
    "name": "Default Service Group",
    "cluster_id": "cluster_1",
    "is_default": true,
    "description": "Default service group for the gateway",
    "created": "2024-01-15T09:30:00Z",
    "created_by": "string",
    "last_updated": "2024-01-15T09:30:00Z",
    "last_updated_by": "string",
    "groups": [
      "gm-admins"
    ],
    "services": [
      {
        "id": "debe9024-52ee-4b39-8c49-96567ff925e4",
        "name": "my-tofu-service"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/gateway_manager/v1/service-groups/id"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/gateway_manager/v1/service-groups/id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/gateway_manager/v1/service-groups/id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/gateway_manager/v1/service-groups/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/gateway_manager/v1/service-groups/id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/gateway_manager/v1/service-groups/id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/gateway_manager/v1/service-groups/id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/gateway_manager/v1/service-groups/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```